#ifndef T_IOT_901_CONVOYOR_DOLIBARRMODELS_H
#define T_IOT_901_CONVOYOR_DOLIBARRMODELS_H

namespace models {

    struct Product {
        const char* id;
        const char* entity;
        const char* ref;
        const char* status;
        const char* date_creation;
        const char* date_modification;
        const char* label;
        const char* description;
        const char* type;
        const char* price;
        const char* stock_reel;
        const char* seuil_stock_alerte;
        const char* desiredstock;
    };

    struct ProductStock {
        std::string id;
        std::string product_id;
        std::string quantity;
    };

    struct CreateProductStock {
        const char* product_id;
        const char* warehouse_id;
        const char* qty;
    };

    struct Warehouse {
        std::string id;
        std::string label;
    };

}

#endif //T_IOT_901_CONVOYOR_DOLIBARRMODELS_H
